#include <gint/display.h>

#include "camera.h"
#include "vec.h"
#include "debug.h"

void camera_step(Camera *camera)
{
	vec_lerp(&camera->pos, *camera->target, camera->speed);
}

#ifdef DEBUG
void camera_draw(Camera *camera)
{
	dpixel((int)camera->pos.x, (int)camera->pos.y, C_BLACK);
}
#endif
